<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.2.xsd">
    <changeSet  author="SYSTEM" id="DUKH-10-get-total-balance.xml" runOnChange="true" runInTransaction="true">
        <createProcedure dbms="h2,!oracle, postgresql" encoding="UTF-8" >
            <![CDATA[CREATE OR REPLACE FUNCTION getnewaccountnumber(OUT rnewseqvalue bigint)
            RETURNS bigint
            LANGUAGE plpgsql
            AS $$
            BEGIN
            SELECT NEXTVAL('ACCOUNT_NUMBER_SEQ') INTO STRICT RNEWSEQVALUE;
            RETURN;
            END; $$
            ;]]>
        </createProcedure>
    </changeSet>
</databaseChangeLog>
